Subject: [Shop-talk] Saving steel panels

From: Pat Horne via Shop-talk <[email-masked]>
Date: Mon, 20 May 2019 07:56:33 -0500

I had a fire in my shop. Now that the shop is getting back in shape I am looking at saving some of the contents. 

I have a new hood for my ‘67 Datsun that was in the shop. It didn’t get fire damage but was smoked up badly. Over time it has developed surface rust from the acidic smoke. Is there a way to remove the rust from the hidden areas which I can’t get to, or should I just try to find another one? I know there is a process for lightening panels for race cars using acid but longevity is not a requirement in this process. 

I would rather take it to someone to do it rather than doing it myself but will consider doing it if isn’t too much trouble. 

Peace,
Pat

Pat Horne 
We support Habitat for Humanity

_______________________________________________

[email-masked]
Donate: http://www.team.net/donate.html
Suggested annual donation  $12.96
Archive: http://www.team.net/pipermail/shop-talk http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/shop-talk/[email-masked]